summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index 42080f9..4b42360 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -32,7 +32,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
VERSION=${VERSION:-2.29}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-3alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -162,6 +162,9 @@ fix_doinst() {
# This is a patch function to put all glibc patches in the build script
# up near the top.
apply_patches() {
+ # Use old-style locale directories rather than a single (and strangely
+ # formatted) /usr/lib/locale/locale-archive file:
+ zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1
# Support ru_RU.CP1251 locale:
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Add a C.UTF-8 locale:
@@ -267,7 +270,9 @@ build_glibc() {
make $NUMJOBS || exit 1
make install install_root=$PKG || exit 1
- make localedata/install-locale-files DESTDIR=$PKG || exit 1
+ # Don't use this, as it makes the i18n package WAY bigger:
+ #make localedata/install-locale-files DESTDIR=$PKG || exit 1
+ make localedata/install-locales install_root=$PKG DESTDIR=$PKG || exit 1
}
# Build the 32-bit binaries first,